curl --request PATCH \
--url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Property Documents",
"parentFolderId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"userId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"isDeleted": false
}
'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}"
payload = {
"name": "Property Documents",
"parentFolderId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"userId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"isDeleted": False
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
name: 'Property Documents',
parentFolderId: 'b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2',
userId: '750eb5c5-ac0b-7d11-4997-e0ce9d8896c8',
isDeleted: false
})
};
fetch('https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Patch a folder
Partially updates a folder belonging to the specified matter. Only the fields supplied in the request are applied.
A deleted folder can be restored by setting isDeleted to false. Only the folder itself is restored;
subfolders and files that were deleted remain deleted. Other fields supplied in the same request are applied after the restore.
Path Parameters
Unique identifier of the matter.
Unique identifier of the folder.
Body
The fields to update, as a merge-style object or a JSON Patch document.
Partial update of a folder. Only the fields supplied in the request are applied.
Accepted as an application/json merge-style object or as an application/json-patch+json document
with paths /name, /parentFolderId, /userId and /isDeleted.
Name of the folder. If omitted the current name is kept. Must not be empty or whitespace when supplied.
256"Property Documents"
Unique identifier of the parent folder. Must be a valid GUID when supplied. If omitted the folder is not moved. Set to null to move the folder to the matter root. The destination must belong to the same matter; it is not validated for existence.
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
Unique identifier of the user modifying the folder. Must be a valid GUID when supplied. If null it will fallback to the authenticated user.
"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"
A deleted folder can be restored by setting this to false. Only the folder itself is restored; previously deleted subfolders and files remain deleted. Setting this to true is not supported, use DELETE instead.
false